fosgra.h File Reference
`#include <inttypes.h>`
`#include <fosfat.h>`

Go to the source code of this file.

## Functions

uint32_t | fosgra_color_get (fosfat_t *fosfat, const char *path, uint8_t idx)
| Get the color RGB24 from a .COLOR index.
uint8_t * | fosgra_get_buffer (fosfat_t *fosfat, const char *path, int offset, int size)
| Get decoded .IMAGE|.COLOR buffer.
void | fosgra_get_info (fosfat_t *fosfat, const char *path, uint16_t *x, uint16_t *y, uint8_t *bpp)
| Get informations on the .IMAGE|.COLOR.
int | fosgra_is_image (fosfat_t *fosfat, const char *path)
| Test if the file is a .IMAGE|.COLOR.

## Detailed Description

libfosgra public API header.

Definition in file fosgra.h.

## Function Documentation

## fosgra_color_get()

uint32_t fosgra_color_get | ( | fosfat_t * | fosfat,
|  | const char * | path,
|  | uint8_t | idx )

Get the color RGB24 from a .COLOR index.

Parameters

  [in] | fosfat | disk handle.
  [in] | path | location on the FOS disk.
  [in] | idx | color index in map.

Returns
  the color in RGB24.

## fosgra_get_buffer()

uint8_t * fosgra_get_buffer | ( | fosfat_t * | fosfat,
|  | const char * | path,
|  | int | offset,
|  | int | size )

Get decoded .IMAGE|.COLOR buffer.

Parameters

  [in] | fosfat | disk handle.
  [in] | path | location on the FOS disk.
  [in] | offset | from where (in bytes) in the data.
  [in] | size | how many bytes.

Returns
  NULL if error or return the buffer.

## fosgra_get_info()

void fosgra_get_info | ( | fosfat_t * | fosfat,
|  | const char * | path,
|  | uint16_t * | x,
|  | uint16_t * | y,
|  | uint8_t * | bpp )

Get informations on the .IMAGE|.COLOR.

Parameters

  [in] | fosfat | disk handle.
  [in] | path | location on the FOS disk.
  [out] | x | image width.
  [out] | y | image height.
  [out] | bpp | bits per pixel.

## fosgra_is_image()

int fosgra_is_image | ( | fosfat_t * | fosfat,
|  | const char * | path )

Test if the file is a .IMAGE|.COLOR.

Parameters

  [in] | fosfat | disk handle.
  [in] | path | location on the FOS disk.